Gelöst: xentral ist mit Shopware Versionen bis einschließlich 6.4.4.1 kompatibel


Benutzerebene 4
Abzeichen

[GELÖST]


Hallo Community!

Ein kurzes Update für all unsere Nutzer mit Shopware - xentral ist kompatibel mit Shopware Versionen bis 6.4.4.1. Anders ausgedrückt, xentral funktioniert nicht mit Shopware 6.4.5 und höher.

Wir bedauern es, sollte dies bei euch etwaige Probleme verursachen. Wir werden euch selbstverständlich über zukünftige Änderungen informieren.

Vielen Dank!

Update: Wir erwarten keine Performance-Probleme in den Shopware 6.4.X-Versionen und werden unsere Anbindung schnellstmöglich an die Anforderungen von Shopware 6.5.X anpassen, sobald diese zur Verwendung steht.


29 Antworten

Benutzerebene 3
Abzeichen +1

Hallo,

 

Danke, für die Info.

Interessanter wäre es zu erfahren, was aktuell nicht mit den höheren Shopware-Versionen funktioniert?

Wir richten gerade einen Webshop auf Basis v6.4.7.0 ein. Derzeit fällt uns noch nichts auf. Daher bitte eine Aufflistung der bekannten Probleme.

Ich denke, dass das einige Anwender:innen interessieren würde.

 

Danke

Hallo Stefan,
die höchste aktuell unterstützte Version ist 6.4.4.1. Höhere Versionen können Funktionen beinhalten, welche von xentral aktuell nicht unterstützt werden oder anders strukturiert sind, dass sie selbst bei gleichbleibender Funktion nicht mit xentral in jetziger Form kompatibel sind.

Eine sichere Funktionalität mit xentral können wir daher aktuell nur bis Version 6.4.4.1 gewährleisten.

Beste Grüße,
Dennis (Community Management)

Benutzerebene 3
Abzeichen +1

Das beantwortet leider nicht meine Frage. Wir können aktuell nicht auf eine geringere Version zurückgehen. Dafür sind wir zu weit fortgeschritten.

Geht das auch weniger “schwammig” und mehr in Richtung, welche Kategorien/Funktionen das betrifft?
Sowas wie: Kundenstammdaten, Produkt-Varianten, Anbindungen an Fulfillment-Dienstleister, etc.

Das ist jetzt ein nicht unerheblicher Punkt in der Umsetzug und des kommenden Go-Live-Events.

Hallo Stefan,
das tut mir leid. Wir können bei einer höheren Version keine Funktion garantieren.

Beste Grüße,
Dennis

Benutzerebene 3
Abzeichen +1

???

Es geht ja nichts ums Garantieren. Sie werden doch aber einschätzen können, welche grundlegenden Funktionen nicht funktionieren, oder eben nur teilweise.

So wie Sie es schreiben, würde es bedeuten, wir würden wochenlange Vorbereitungen auf den Müll verwerfen, oder wir müssen wir diese Aussage jetzt einordnen?

Eventuell betrifft uns das gar nicht. Darum geht es doch.

Benutzerebene 3
Abzeichen +1

etwas aus unserer Perspektive → wir stehen 14 Tage vor dem Live-Gehen des Webshops. Und da kommt dann so ein Hinweis. Die Shopware-Version 6.4.7.0 ist seit dem 09.12.2021 verfügbar. Das macht schon unruhig.

Hallo Stefan,
mehr können wir hierzu zur Zeit nicht sagen. Wir halten dich aber natürlich gern auf dem Laufenden, sobald wir mehr dazu sagen können.
Beste Grüße,
Dennis

Benutzerebene 1
Abzeichen

@Dennis Bernhardt @ruta.ganusauskaite 
 

Hallo Ruta, hallo Dennis,

ich muss hier Stefan zur Seite springen. Wir sind ebenso kurz vor Go Live eines B2B Shops in Shopware 6. 
Äußert euch bitte dazu genauer, welche Funktionalität nicht gegeben ist → Hier zu gibt es bestimmt schon Tickets aus der Community. Sollen wir jetzt in Zukunft vor jedem Update erst einmal bei euch nachfragen, ob Ihr mit der Version etwas anfangen könnt? In welchem Zeitraum werden die Probleme behoben? Wie Stefan schon geschrieben hat, wurde diese Version am 09.12.2021 veröffentlicht. Der Helpdesk Artikel von Showpare war letzte Woche noch nicht mit dem Hinweis versehen:

Achtung: xentral ist kompatibel mit Shopware 6 Versionen bis einschließlich Version 6.4.4.1. Beachte bitte, dass xentral nicht mit Shopware 6.4.5 und höher kompatibel ist.”

 

Danke euch.

Macht euch nichts draus, in meiner Installation obwohl ich die Version 6.4.4.1 extra installiert habe, kommt keine Verbindung irgendwie richtig zu Stande. Verbindung ist zwar da, Artikel Export geht nicht. Aus einem Testsystem funktioniert die Verbindung wunderbar. Weiß auch nicht, was da schief läuft. Aber es ist bestimmt wieder der Anwender schuld :)

Benutzerebene 2
Abzeichen +1

Wir hatten nachweislich Probleme bei der Artikelübertragung von Xentral in einen 6.4.7.0 Shop.
Matrixartikel wurden im Shop nicht als Varianten angelegt sondern als Einzelartikel. Das es Probleme bei der Artikelübertragung und evtl. mit Paypal gibt, wurde uns vom Support so bestätigt.

Nachdem wir noch nichts am Shop gemacht hatten haben wir einen Downgrade auf 6.4.4.1 vorgenommen. Da hat dann alles korrekt funktioniert.

Benutzerebene 1

Hey xentral,

wie wäre es mit einem kleinen Dashboard in der stable-Versionen aufgezeigt werden? Das Problem kommt ja nicht nur einmal vor und bis ihr eure Entwicklungen nachgezogen habt wäre so sichergestellt, dass eure Nutzer nicht Versionen versuchen zu nutzen, die nicht mit xentral kompatibel sind.

Wir versuchen seit dem Update die o.g. Auffälligkeiten wie Paypal-Transaktionsnummern zu lösen. Wäre uns eine stable Version bekannt gewesen, hätten wir uns viel Recherche sparen können. Zumal aus dem Suppoort kam: “Grundsätzlich sollte die Anbindung an die neueste Version funktionieren”...

Mein Idee für eine rasche Umsetzung: unter “/index.php?module=onlineshops&action=features” einfach die höchste derzeit unterstützte Version zuschreiben. Aktuell steht da nur der Shopname. So gehen wir erstmal davon aus, dass auch Shopversionen kurz nach Release des Herstellers von euch stable nachgezogen sind. In diesem Fall ist ja von 6.4.4.1 bis 6.4.7 doch die ein oder andere Version zwischen.

Genial wäre natürlich auch damit zu beginnen Zeitaussagen/ Horizonte zu definieren. So schafft ihr eine gewisse Transparenz und Verlässlichkeit für uns als Nutzer.

VG Jan

Liebe Community,
ich war gerade noch in Kontakt mit einem unserer Senior Product Manager nachdem dieser ein Meeting mit Shopware hatte.
Hier das sich daraus ergebene Update:
xentral sollte nun aktuell ohne Probleme mit Shopware 6.4.7 funktionieren können. Sollte es dennoch zu Bugs, etc. kommen, die uns zuvor entgingen, zögert bitte nicht, uns diese mitzuteilen, damit wir sie asap beheben können.

Beste Grüße,

Benutzerebene 2
Abzeichen +1

Liebe Community,
ich war gerade noch in Kontakt mit einem unserer Senior Product Manager nachdem dieser ein Meeting mit Shopware hatte.
Hier das sich daraus ergebene Update:
xentral sollte nun aktuell ohne Probleme mit Shopware 6.4.7 funktionieren können. Sollte es dennoch zu Bugs, etc. kommen, die uns zuvor entgingen, zögert bitte nicht, uns diese mitzuteilen, damit wir sie asap beheben können.

Beste Grüße,

Hallo Dennis, in der Doku steht im Moment noch, das es nicht so ist:
https://help.xentral.com/hc/de/articles/360016719820-Shopware-6
Welche Xentral Version soll den jetzt mit 6.4.7 kompatibel sein?
Wir brauchen hier bitte eine konkrete, genaue und verlässliche Info von Euch.

Grüße Peter

 

Hallo Dennis, in der Doku steht im Moment noch, das es nicht so ist:
https://help.xentral.com/hc/de/articles/360016719820-Shopware-6
Welche Xentral Version soll den jetzt mit 6.4.7 kompatibel sein?
Wir brauchen hier bitte eine konkrete, genaue und verlässliche Info von Euch.

Grüße Peter

Hallo Peter,
danke für dein Feedback! Ich habe bereits intern ein Ticket zum Update der Doku eingereicht, damit die Änderungen möglichst schnell auf die Seite kommen.
Beste Grüße,

 

EDIT: Handbuch wurde aktualisiert

Benutzerebene 2
Abzeichen +1

 

Hallo Dennis, in der Doku steht im Moment noch, das es nicht so ist:
https://help.xentral.com/hc/de/articles/360016719820-Shopware-6
Welche Xentral Version soll den jetzt mit 6.4.7 kompatibel sein?
Wir brauchen hier bitte eine konkrete, genaue und verlässliche Info von Euch.

Grüße Peter

Hallo Peter,
danke für dein Feedback! Ich habe bereits intern ein Ticket zum Update der Doku eingereicht, damit die Änderungen möglichst schnell auf die Seite kommen.
Beste Grüße,

 

EDIT: Handbuch wurde aktualisiert

Ich muss leider nochmal fragen, welche Xentral Version ist jetzt mit Shopware 6.4.7 kompatibel ?

Benutzerebene 7
Abzeichen +5

Macht es einen Unterschied, ob Shopware über die Booster App oder den Expertenmodus mit Xentral verbunden wird? 

Benutzerebene 3
Abzeichen +1

wir nutzten Anfang die Booster-App. Sind dann aber auf die API umgestiegen, weil der Support meinte, die Booster-App läuft so zur API gleich, wird/soll aber nicht mehr groß weiterentwickelt werden, oder zumindest nicht priorisiert. Die API läuft bei uns aktuell problemfrei (Verdsand- & Zahldienstleister werden in Kürze eingerichtet, auch haben wir keine Matrix-Artikel) Xentral Beta 22.1.8 und Shopware 6.4.7.0.

Macht es einen Unterschied, ob Shopware über die Booster App oder den Expertenmodus mit Xentral verbunden wird? 

Macht keinen Unterschied. Die Booster App für SW6 ist der Zugang über den Shopware App Store - Unterschied liegt in der Auth. 

UPDATE


Nach detaillierter Rücksprache mit Shopware können wir euch nun über folgende Entwicklungen informieren:
Nach Aussage von Shopware selbst, werden die Shopware-Versionen bis 6.5.X keine großen Änderungen beinhalten, welche zu vorhersehbaren Ausfällen oder Einschränkungen in der Integration in oder Kombination mit xentral führen werden.
Änderungen in den kleinschnittigeren Updates (6.4.1-6.4.7) können kleinere Features beinhalten, welche nach aktuellem Stand nicht implementieret werden - wir evaluieren diese jedoch individuell.
Wir beziehen uns hierbei bei der Funktionalität stets auf die neusten xentral Versionen (v21.x und 22.x).TLDR: Ihr könnt xentral (v.21x - v-22.x) wie gewohnt mit den Shopwareversionen 6.4.1 - 6.4.7 verwenden, ohne dabei mit unerwarteten Problemen außerhalb bekannter Bugs rechnen zu müssen.

Beste Grüße,

Benutzerebene 2
Abzeichen +1

Gibt es schon ein Zeitfenster, wann die aktuelle Shopware 6.4.8.1 mit Xentral funktionieren wird?

Benutzerebene 3
Abzeichen +1

+1

Benutzerebene 3
Abzeichen +1

Moin,

wie sieht es mit Shopware 6.4.9.0 aus @Dennis Bernhardt?

Benutzerebene 3
Abzeichen +1

Hallo, Xentral.

 

Shopware 6.4.9.0 ist seit dem 14.03.2022 draussen. Shopware 6.4.10.0 ist heute (05.04.2022) veröffentlicht worden.

Könnt Ihr den Shopware-Anwendern:innen bereits mitteilen, welche Shopware-Version von Xentral unterstützt wird?

@Dennis Bernhardt@Tom@ruta.ganusauskaite 

Hallo @Stefan Graf ,

ich bespreche mich einmal mit unserem Produkt-Team und halte dich hierzu gern auf dem Laufenden.

Hier das Update:
Unsere Shopware Anbindung sollte ohne Probleme für alle 6.4.X Versionen funktionieren, da hier lediglich kleinere Änderungen vorgenommen werden. Großschrittigere Änderungen, die Anpassungsbedarf bedürfen, erfolgen erst mit 6.5.X. Hier werden wir unsere Anbindung natürlich entsprechend anpassen :) 

Beste Grüße,

Benutzerebene 3
Abzeichen +1

Herzlichen Dank für das Update!

Antworten